### Hierarchy

- Error
  - UnknownError

## Index

### Constructors

- constructor

### Properties

- errorType
- originalError
- Error
- message
- name
- stack

## Constructors

### constructor

- new UnknownError(originalError: any): UnknownError

- - Defined in src/task/unknown-error.ts:2

  #### Parameters

  - ##### originalError: any

  #### Returns UnknownError

## Properties

### errorType

errorType: "UnknownError" = 'UnknownError' as 'UnknownError'

- Defined in src/task/unknown-error.ts:2

### originalError

originalError: any

- Defined in src/task/unknown-error.ts:4

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:896

### Static message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:886

### Static name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:885

### Static Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:887

Generated using TypeDoc